Bug 469293 - broken <language>-support collections
Summary: broken <language>-support collections
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 10
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-10-31 04:21 UTC by Ralf Corsepius
Modified: 2009-02-16 16:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-16 16:11:58 UTC
Type: ---


Attachments (Terms of Use)

Description Ralf Corsepius 2008-10-31 04:21:50 UTC
Description of problem:
Removing certain <language>-support collections via
Add/Remove software->Package Collections
try to remove dejavu-fonts


Version-Release number of selected component (if applicable):
PackageKit-0.3.9-1.fc10.i386
Current (2008-10-31) rawhide.

How reproducible:
Always.


Steps to Reproduce:
1. In "package collections", mark hebrew-support for removal
2. Click apply
  
Actual results:
PackageKit wants to remove dejavu-fonts.

Expected results:
Being able to remove unwanted <language>-support collections without removing dejavu-fonts.

Additional info:
* No idea, if this is a side effect of package dependency bugs or broken package collections' sources (whereever these might be, whatever a "language support collection" might define), or a general bug in PackageKit.

* This issue exposes with several other <language>-support collections. 
I only used hebrew-support as an example.

Comment 1 Richard Hughes 2008-11-04 13:37:29 UTC
PackageKit is just doing self.yumbase.groupRemove -- I'm not sure if this sort of dependency tracking is possible with yum.

Comment 2 Ralf Corsepius 2008-11-04 14:30:00 UTC
(In reply to comment #1)
> PackageKit is just doing self.yumbase.groupRemove
No idea what this is ;)

> -- I'm not sure if this sort
> of dependency tracking is possible with yum.
IMO, there is a fundamental thinko behind this.

Seems to me as if "reversing" the mapping the 
"<language>-support collection" -> "packages"
is invalid. 

I.e. I think the mapping is not bi-directional.

Comment 3 Bug Zapper 2008-11-26 04:31:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Richard Hughes 2009-02-16 16:11:58 UTC
(In reply to comment #2)
> I.e. I think the mapping is not bi-directional.

Right, the only thing PackageKit can try to do sensibly when then user tries to do this is to remove the entire group, as it doesn't have a record from yum what packages were installed.


Note You need to log in before you can comment on or make changes to this bug.